Bug 89969 - [BlackBerry] Selection items show as garbage for non-ascii characters.
Summary: [BlackBerry] Selection items show as garbage for non-ascii characters.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-26 04:12 PDT by Jason Liu
Modified: 2012-06-28 21:20 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.12 KB, patch)
2012-06-26 22:44 PDT, Jason Liu
no flags Details | Formatted Diff | Diff
Patch (3.12 KB, patch)
2012-06-27 01:25 PDT, Jason Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Liu 2012-06-26 04:12:49 PDT
Go to www.meituan.com, on the left up conner, there's a selection . click on
the selection to bring up the selection dialog.
All the option items which are in Chinese are displayed as garbage.
Comment 1 Jason Liu 2012-06-26 22:44:42 PDT
Created attachment 149682 [details]
Patch
Comment 2 Jason Liu 2012-06-27 01:25:20 PDT
Created attachment 149703 [details]
Patch
Comment 3 Yong Li 2012-06-27 07:03:58 PDT
Comment on attachment 149703 [details]
Patch

Is this internally reviewed?
Comment 4 Crystal Zhang 2012-06-27 07:37:38 PDT
(In reply to comment #3)
> (From update of attachment 149703 [details])
> Is this internally reviewed?

Looks fine to me.
Comment 5 Rob Buis 2012-06-27 08:26:24 PDT
Comment on attachment 149703 [details]
Patch

Would it be possible to have an automated test for this?
Comment 6 Jason Liu 2012-06-27 18:52:34 PDT
(In reply to comment #5)
> (From update of attachment 149703 [details])
> Would it be possible to have an automated test for this?

Each porting has a different implementation for popUp dialog.
So it is hard to write a automated test.
Comment 7 Antonio Gomes 2012-06-28 12:52:23 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > (From update of attachment 149703 [details] [details])
> > Would it be possible to have an automated test for this?
> 
> Each porting has a different implementation for popUp dialog.
> So it is hard to write a automated test.

I would as for a manual test, but not sure people actually run it :s
Comment 8 Jason Liu 2012-06-28 20:22:39 PDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > (From update of attachment 149703 [details] [details] [details])
> > > Would it be possible to have an automated test for this?
> > 
> > Each porting has a different implementation for popUp dialog.
> > So it is hard to write a automated test.
> 
> I would as for a manual test, but not sure people actually run it :s

Would you approve this patch?  : )
Comment 9 WebKit Review Bot 2012-06-28 21:20:32 PDT
Comment on attachment 149703 [details]
Patch

Clearing flags on attachment: 149703

Committed r121516: <http://trac.webkit.org/changeset/121516>
Comment 10 WebKit Review Bot 2012-06-28 21:20:36 PDT
All reviewed patches have been landed.  Closing bug.